lib = File.expand_path("lib", __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "capistrano/simple_systemd/version"

Gem::Specification.new do |spec|
  spec.name          = "capistrano-simple_systemd"
  spec.version       = Capistrano::SimpleSystemd::VERSION
  spec.authors       = ["George Osae"]
  spec.email         = ["coderwasp@gmail.com"]

  spec.summary       = "Simple systemd integration for Capistrano."
  spec.description   = "Simple systemd integration for Capistrano. Uploads service files and provides rake tasks for managing these services"
  spec.homepage      = "https://github.com/gkosae/capistrano-simple_systemd.git"
  spec.license       = "MIT"

  spec.metadata["allowed_push_host"] = "https://rubygems.org"

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["changelog_uri"] = "https://github.com/gkosae/capistrano-simple_systemd/blob/master/CHANGELOG.md"
  spec.metadata["source_code_uri"] = "https://github.com/gkosae/capistrano-simple_systemd.git"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency "capistrano", "~> 3.7"

  spec.add_development_dependency "bundler", "~> 2.0"
  spec.add_development_dependency "rake", "~> 13.0"
  spec.add_development_dependency "byebug"
end
